set size 1.0, 0.6
set terminal postscript portrait enhanced font 'Helvetica,16'
set output "HW3b.eps"
set fit errorvariables
f(x) = a + b * x
fit f(x) "data.HW3" using 1:2:3 via a, b
set xlabel "x"
set ylabel "y"
ndf = FIT_NDF
chisq = FIT_STDFIT**2 * ndf
Q = 1 - igamma(0.5 * ndf, 0.5 * chisq)
set label sprintf("a = %7.4f +/- %7.4f", a, a_err/FIT_STDFIT) at 100, 400
set label sprintf("b = %7.4f +/- %7.4f", b, b_err/FIT_STDFIT) at 100, 330
set label sprintf("{/Symbol c}^2 = %6.2f", chisq) at 100, 270
set label sprintf("{/Symbol c}^2/NDF = %6.4f", FIT_STDFIT**2) at 100, 200
set label sprintf("Q = %9.2e", Q) at 100, 130
plot "data.HW3" using 1:2:3 every 5 with errorbars notitle pt 6 lc rgb "red" lw 2, \
f(x) notitle lc rgb "blue" lw 4 lt 1
