set size 1.0, 0.6
set terminal postscript portrait enhanced
set output "HW4b.eps"
set fit errorvariables
f(x) = a + b / x**c
set xlabel "1/L^{/Symbol w}"
set ylabel "T^*"
set label "T^* = T_c + A / N^{/Symbol w}" at 0.1, 0.7
a = 0.32
b = 1
c = 0.2
fit f(x) "data.HW4" using 1:2:3 via b, c
#set xrange [0.7:0.38]
g(x) = a + b * x
h(x) = 0 + 0 * x
ndf = FIT_NDF
chisq = FIT_STDFIT**2 * ndf
Q = 1 - igamma(0.5 * ndf, 0.5 * chisq)
set label sprintf("T_c = %5.3f",a) at 0.25, 0.33
set label sprintf("{/Symbol w} = %5.3f +/- %5.3f",c, c_err/FIT_STDFIT) at 0.25, 0.27
set label sprintf("A = %5.2f +/- %5.2f",b, b_err/FIT_STDFIT) at 0.25, 0.21
set label sprintf("{/Symbol c}^2 = %5.2f", chisq) at 0.25, 0.15
set label sprintf("{/Symbol c}^2/NDF = %5.2f", FIT_STDFIT**2) at 0.25, 0.09
set label sprintf("Q = %5.2f", Q) at 0.25, 0.03
plot "data.HW4" using (1/$1**c):2:3 with errorbars notitle ls 1, \
g(x) notitle ls 13, \
h(x) notitle lt 3 lw 4
