import fileinput
from math import *

x2 = []; x2_tot = 0.
x4 = []; x4_tot = 0.

for line in fileinput.input():  # similar to perl's while(<>)
    line = line.split()
    x2_i = float(line[0])**2
    x4_i = x2_i**2
    x2.append(x2_i)
    x4.append(x4_i)
    x2_tot += x2_i
    x4_tot += x4_i

n = len(x2)

#
# Do the jackknife averages
#
x2_jack = []
x4_jack = []

for i in xrange(n):
    x2_jack.append((x2_tot - x2[i]) / (n - 1))
    x4_jack.append((x4_tot - x4[i]) / (n - 1))

x2_av = x2_tot / n
x4_av = x4_tot / n
g_av = x4_av / x2_av**2

g_jack_av = 0.; g_jack_err = 0.

for i in xrange(n):
    dg = x4_jack[i] / x2_jack[i]**2
    g_jack_av += dg
    g_jack_err += dg**2

g_jack_av /= n
g_jack_err /= n
g_jack_err = sqrt((n - 1) * abs(g_jack_err - g_jack_av**2))

print " Overall average is   %8.4f" % g_av
print " Jackknife average is %8.4f +/- %6.4f" % (g_jack_av, g_jack_err)

